scala.reflect.macros.compiler.Resolvers

# Resolver

#### trait Resolver extends AnyRef

Self Type
  MacroImplRefCompiler
Source
  Resolvers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
MacroImplRefCompiler
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Resolver
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val isImplBundle: Boolean

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to any2stringadd[DefaultMacroCompiler.Resolver] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (DefaultMacroCompiler.Resolver, B)

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to ArrowAssoc[DefaultMacroCompiler.Resolver] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (DefaultMacroCompiler.Resolver) ⇒ Boolean, msg: ⇒ Any): DefaultMacroCompiler.Resolver

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to Ensuring[DefaultMacroCompiler.Resolver] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (DefaultMacroCompiler.Resolver) ⇒ Boolean): DefaultMacroCompiler.Resolver

   Implicit information
     This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to Ensuring[DefaultMacroCompiler.Resolver] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): DefaultMacroCompiler.Resolver

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to Ensuring[DefaultMacroCompiler.Resolver] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): DefaultMacroCompiler.Resolver

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to Ensuring[DefaultMacroCompiler.Resolver] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to StringFormat[DefaultMacroCompiler.Resolver] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### lazy val isBlackbox: Boolean

19. #### val isImplMethod: Boolean

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### lazy val looksCredible: Boolean

22. #### lazy val macroImpl: tools.nsc.Global.Symbol

23. #### lazy val macroImplOwner: tools.nsc.Global.Symbol

24. #### lazy val macroImplRef: tools.nsc.Global.Tree

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### lazy val targs: List[tools.nsc.Global.Tree]

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def →[B](y: B): (DefaultMacroCompiler.Resolver, B)

    Implicit information
      This member is added by an implicit conversion from DefaultMacroCompiler.Resolver to ArrowAssoc[DefaultMacroCompiler.Resolver] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DefaultMacroCompiler.Resolver to any2stringadd[DefaultMacroCompiler.Resolver]

### Inherited by implicit conversion StringFormat from DefaultMacroCompiler.Resolver to StringFormat[DefaultMacroCompiler.Resolver]

### Inherited by implicit conversion Ensuring from DefaultMacroCompiler.Resolver to Ensuring[DefaultMacroCompiler.Resolver]

### Inherited by implicit conversion ArrowAssoc from DefaultMacroCompiler.Resolver to ArrowAssoc[DefaultMacroCompiler.Resolver]

### Ungrouped